Subject: bug#22744: 24.5; url-retrieve callback is not invoked when http response content is empty

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 24 Sep 2019 10:14:04 +0200

Lars Ingebrigtsen <[email-masked]> writes:

>> So from the url-debug output, the logic is doing wrong. On Line#30, it's doing
>> a *redirect* with post, resulting an HTTP 405.
>
> So that web site wants the redirect to be done with GET instead of POST?
> I don't know what the standard says should happen here...

This was apparently fixed in 2018 like this:

           ('found			; 302
	    ;; 302 Found was ambiguously defined in the standards, but
	    ;; it's now recommended that it's treated like 303 instead
	    ;; of 307, since that's what most servers expect.
	    (setq url-http-method "GET"
		  url-http-data nil))

To I think it's fixed, and I'm closing this bug report.  If you're
seeing a problem here, please reopen.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no